@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

h1, h3, p, ol, li {
    font-family: 'Montserrat', sans-serif;
    color: white;
  }
  body {
    background-color: #4b4e52;
    transform-origin: top left;
    transform: scale(0.9);
  }
svg {
    background-color: gainsboro;
    font-family: 'Montserrat', sans-serif;
    font-size: small;
    margin-top: 0%;
    margin-right: 10%;
}
circle {stroke: black;}
#tooltip {
    opacity: 0;
    position: absolute;
    text-align: center;
    width: 200px;
    height: 60px;
    background-color: lightblue;
    color: black;
    border: 0px;
    font-family: 'Montserrat', sans-serif;
    font-size: small;
}
.guide-line {
    stroke: blue;
    stroke-dasharray: 4;
    opacity: 0;
      }
.trend-line {
    stroke: red;
    stroke-width: 2;
    }
.annotation-text text {
        fill: #535454;
        font-family: 'Montserrat', sans-serif;
        font-size: small;
    }
.annotation-text-general text {
    fill: #66aa66;
    font-family: 'Montserrat', sans-serif;
    font-size: small;
}
#info {
    position: absolute;
    top: 80px;
    right: 1%;
    font-size: medium;
    width: 400px;
}

.button-div {
    text-align: center;
    margin-top: 20px;
}

.button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    text-decoration: none;
    border: none;
    border-radius: 5px;
    font-family: 'Montserrat', sans-serif;
    font-size: medium;
    cursor: pointer;
    margin-bottom: 10px;
}

.button:hover {
    background-color: #45a049;
}

#home-button-div {
    position: absolute;
    top: 0px;
    right: 100px;
    font-size: medium;
}

#home-button {
    background-color: #0099cc;
}

#home-button:hover {
    background-color: #0077b3;
}

.header-fade {
    animation: fadeIn 1.5s;
}

.typing-effect{
    overflow: hidden;
    white-space: nowrap;
    animation: typing 3s steps(40, end) forwards; 
    padding-top: 25%;
  }

select {
    padding: 10px;
    padding-right: 20px;
    background-color: gainsboro;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-family: 'Montserrat', sans-serif;
}
label {
    font-family: 'Montserrat', sans-serif;
    color: white;
}

#minValueX, #maxValueX, #minValueY, #maxValueY {
    padding: 10px;
    padding-right: 20px;
    background-color: gainsboro;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-family: 'Montserrat', sans-serif;
    margin-right: 25px;
}

#filterLabel {
    padding-top: 40px;
}

button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    text-decoration: none;
    border: none;
    border-radius: 5px;
    font-family: 'Montserrat', sans-serif;
    font-size: medium;
    cursor: pointer;
    margin-bottom: 10px;
    margin-top: 40px;
}

button:hover {
    background-color: #45a049;
}

#remove-button {
    background-color: #CC3333;
    margin-left: 5px;
}

#remove-button:hover {
    background-color: #FF6666;
}

#main-header {
    margin-bottom: 150px;
}

@media screen and (max-width: 1280px) {
#info {
    position: relative; 
    margin: 20px; 
}
}

@keyframes typing {
from {
    width: 0; 
}
to {
    width: 100%; 
}
}

@keyframes fadeIn {
    from {
      opacity: 0; 
    }
    to {
      opacity: 1;
    }
  }
  